#include <iostream>
#include <stdio.h>
#include <math.h>
using namespace std;

int main()
{
    long long int n;
    cin.tie(0);
    cin >> n;
    int k;
    int d[]={5,2,1};
    int rezultat = 0,i;
    while(n)
    {
        k= (int) log10(n);
        for(i=0;i<3;i++)
            while(n>=d[i] * pow(10,k) && n)
            {
                n = n - (d[i]*pow(10,k));
                rezultat++;
            }
    }
    printf("%d",rezultat);
}